﻿//-------------------------------------------------------------------------------
// File Name:	crc32.h
// Brief: 
// Version:		1.0.0
// Create Date: 2018/08/13
// Create by: 	Marshal Lee
// Copyright: 
//				Copyright (c)  2019, Richpeace Co., LTD.
//				All rights reserved.
//
// Modify by:	Marshal Lee
// Modify Date:	2018/08/13
//-------------------------------------------------------------------------------


#ifndef __CRC32_H__
#define __CRC32_H__

/*
	CRC32 算法模块
*/

#include "typedef.h"

#define	CRC32_INIT	0xffffffff	// crc初值


u32 addCrc32(u32 crcword, u8 dat);
u32 calcCrc32(u8 * pBuf, int lenBuf);



#endif
